commit these RT differences, seem to be mostly in autogen'ed stuff
[freeside.git] / rt / config.status
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization.  ##
13 ## --------------------- ##
14
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17   emulate sh
18   NULLCMD=:
19   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20   # is contrary to our usage.  Disable this feature.
21   alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23   set -o posix
24 fi
25 DUALCASE=1; export DUALCASE # for MKS sh
26
27 # Support unset when possible.
28 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29   as_unset=unset
30 else
31   as_unset=false
32 fi
33
34
35 # Work around bugs in pre-3.0 UWIN ksh.
36 $as_unset ENV MAIL MAILPATH
37 PS1='$ '
38 PS2='> '
39 PS4='+ '
40
41 # NLS nuisances.
42 for as_var in \
43   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45   LC_TELEPHONE LC_TIME
46 do
47   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48     eval $as_var=C; export $as_var
49   else
50     $as_unset $as_var
51   fi
52 done
53
54 # Required to use basename.
55 if expr a : '\(a\)' >/dev/null 2>&1; then
56   as_expr=expr
57 else
58   as_expr=false
59 fi
60
61 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62   as_basename=basename
63 else
64   as_basename=false
65 fi
66
67
68 # Name of the executable.
69 as_me=`$as_basename "$0" ||
70 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71          X"$0" : 'X\(//\)$' \| \
72          X"$0" : 'X\(/\)$' \| \
73          .     : '\(.\)' 2>/dev/null ||
74 echo X/"$0" |
75     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76           /^X\/\(\/\/\)$/{ s//\1/; q; }
77           /^X\/\(\/\).*/{ s//\1/; q; }
78           s/.*/./; q'`
79
80
81 # PATH needs CR, and LINENO needs CR and PATH.
82 # Avoid depending upon Character Ranges.
83 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86 as_cr_digits='0123456789'
87 as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89 # The user is always right.
90 if test "${PATH_SEPARATOR+set}" != set; then
91   echo "#! /bin/sh" >conf$$.sh
92   echo  "exit 0"   >>conf$$.sh
93   chmod +x conf$$.sh
94   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95     PATH_SEPARATOR=';'
96   else
97     PATH_SEPARATOR=:
98   fi
99   rm -f conf$$.sh
100 fi
101
102
103   as_lineno_1=$LINENO
104   as_lineno_2=$LINENO
105   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106   test "x$as_lineno_1" != "x$as_lineno_2" &&
107   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
108   # Find who we are.  Look in the path if we contain no path at all
109   # relative or not.
110   case $0 in
111     *[\\/]* ) as_myself=$0 ;;
112     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113 for as_dir in $PATH
114 do
115   IFS=$as_save_IFS
116   test -z "$as_dir" && as_dir=.
117   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118 done
119
120        ;;
121   esac
122   # We did not find ourselves, most probably we were run as `sh COMMAND'
123   # in which case we are not to be found in the path.
124   if test "x$as_myself" = x; then
125     as_myself=$0
126   fi
127   if test ! -f "$as_myself"; then
128     { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130    { (exit 1); exit 1; }; }
131   fi
132   case $CONFIG_SHELL in
133   '')
134     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136 do
137   IFS=$as_save_IFS
138   test -z "$as_dir" && as_dir=.
139   for as_base in sh bash ksh sh5; do
140          case $as_dir in
141          /*)
142            if ("$as_dir/$as_base" -c '
143   as_lineno_1=$LINENO
144   as_lineno_2=$LINENO
145   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146   test "x$as_lineno_1" != "x$as_lineno_2" &&
147   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
148              $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149              $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150              CONFIG_SHELL=$as_dir/$as_base
151              export CONFIG_SHELL
152              exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153            fi;;
154          esac
155        done
156 done
157 ;;
158   esac
159
160   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161   # uniformly replaced by the line number.  The first 'sed' inserts a
162   # line-number line before each line; the second 'sed' does the real
163   # work.  The second script uses 'N' to pair each line-number line
164   # with the numbered line, and appends trailing '-' during
165   # substitution so that $LINENO is not a special case at line end.
166   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
168   sed '=' <$as_myself |
169     sed '
170       N
171       s,$,-,
172       : loop
173       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174       t loop
175       s,-$,,
176       s,^['$as_cr_digits']*\n,,
177     ' >$as_me.lineno &&
178   chmod +x $as_me.lineno ||
179     { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181    { (exit 1); exit 1; }; }
182
183   # Don't try to exec as it changes $[0], causing all sort of problems
184   # (the dirname of $[0] is not the place where we might find the
185   # original and so on.  Autoconf is especially sensible to this).
186   . ./$as_me.lineno
187   # Exit status is that of the last command.
188   exit
189 }
190
191
192 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193   *c*,-n*) ECHO_N= ECHO_C='
194 ' ECHO_T='      ' ;;
195   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
197 esac
198
199 if expr a : '\(a\)' >/dev/null 2>&1; then
200   as_expr=expr
201 else
202   as_expr=false
203 fi
204
205 rm -f conf$$ conf$$.exe conf$$.file
206 echo >conf$$.file
207 if ln -s conf$$.file conf$$ 2>/dev/null; then
208   # We could just check for DJGPP; but this test a) works b) is more generic
209   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210   if test -f conf$$.exe; then
211     # Don't use ln at all; we don't have any links
212     as_ln_s='cp -p'
213   else
214     as_ln_s='ln -s'
215   fi
216 elif ln conf$$.file conf$$ 2>/dev/null; then
217   as_ln_s=ln
218 else
219   as_ln_s='cp -p'
220 fi
221 rm -f conf$$ conf$$.exe conf$$.file
222
223 if mkdir -p . 2>/dev/null; then
224   as_mkdir_p=:
225 else
226   test -d ./-p && rmdir ./-p
227   as_mkdir_p=false
228 fi
229
230 as_executable_p="test -f"
231
232 # Sed expression to map a string onto a valid CPP name.
233 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235 # Sed expression to map a string onto a valid variable name.
236 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239 # IFS
240 # We need space, tab and new line, in precisely that order.
241 as_nl='
242 '
243 IFS="   $as_nl"
244
245 # CDPATH.
246 $as_unset CDPATH
247
248 exec 6>&1
249
250 # Open the log real soon, to keep \$[0] and so on meaningful, and to
251 # report actual input values of CONFIG_FILES etc. instead of their
252 # values after options handling.  Logging --version etc. is OK.
253 exec 5>>config.log
254 {
255   echo
256   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257 ## Running $as_me. ##
258 _ASBOX
259 } >&5
260 cat >&5 <<_CSEOF
261
262 This file was extended by RT $as_me 3.4.5, which was
263 generated by GNU Autoconf 2.59.  Invocation command line was
264
265   CONFIG_FILES    = $CONFIG_FILES
266   CONFIG_HEADERS  = $CONFIG_HEADERS
267   CONFIG_LINKS    = $CONFIG_LINKS
268   CONFIG_COMMANDS = $CONFIG_COMMANDS
269   $ $0 $@
270
271 _CSEOF
272 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273 echo >&5
274 config_files=" sbin/rt-dump-database sbin/rt-setup-database sbin/rt-test-dependencies bin/mason_handler.fcgi bin/mason_handler.scgi bin/standalone_httpd bin/rt-crontool bin/rt-mailgate bin/rt Makefile etc/RT_Config.pm lib/RT.pm bin/mason_handler.svc bin/webmux.pl"
275
276 ac_cs_usage="\
277 \`$as_me' instantiates files from templates according to the
278 current configuration.
279
280 Usage: $0 [OPTIONS] [FILE]...
281
282   -h, --help       print this help, then exit
283   -V, --version    print version number, then exit
284   -q, --quiet      do not print progress messages
285   -d, --debug      don't remove temporary files
286       --recheck    update $as_me by reconfiguring in the same conditions
287   --file=FILE[:TEMPLATE]
288                    instantiate the configuration file FILE
289
290 Configuration files:
291 $config_files
292
293 Report bugs to <bug-autoconf@gnu.org>."
294 ac_cs_version="\
295 RT config.status 3.4.5
296 configured by ./configure, generated by GNU Autoconf 2.59,
297   with options \"'--enable-layout=Freeside' '--with-db-type=Pg' '--with-db-dba=freeside' '--with-db-database=freeside' '--with-db-rt-user=freeside' '--with-db-rt-pass=' '--with-web-user=freeside' '--with-web-group=freeside' '--with-rt-group=freeside'\"
298
299 Copyright (C) 2003 Free Software Foundation, Inc.
300 This config.status script is free software; the Free Software Foundation
301 gives unlimited permission to copy, distribute and modify it."
302 srcdir=.
303 INSTALL="/usr/bin/install -c"
304 # If no file are specified by the user, then we need to provide default
305 # value.  By we need to know if files were specified by the user.
306 ac_need_defaults=:
307 while test $# != 0
308 do
309   case $1 in
310   --*=*)
311     ac_option=`expr "x$1" : 'x\([^=]*\)='`
312     ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
313     ac_shift=:
314     ;;
315   -*)
316     ac_option=$1
317     ac_optarg=$2
318     ac_shift=shift
319     ;;
320   *) # This is not an option, so the user has probably given explicit
321      # arguments.
322      ac_option=$1
323      ac_need_defaults=false;;
324   esac
325
326   case $ac_option in
327   # Handling of the options.
328   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
329     ac_cs_recheck=: ;;
330   --version | --vers* | -V )
331     echo "$ac_cs_version"; exit 0 ;;
332   --he | --h)
333     # Conflict between --help and --header
334     { { echo "$as_me:$LINENO: error: ambiguous option: $1
335 Try \`$0 --help' for more information." >&5
336 echo "$as_me: error: ambiguous option: $1
337 Try \`$0 --help' for more information." >&2;}
338    { (exit 1); exit 1; }; };;
339   --help | --hel | -h )
340     echo "$ac_cs_usage"; exit 0 ;;
341   --debug | --d* | -d )
342     debug=: ;;
343   --file | --fil | --fi | --f )
344     $ac_shift
345     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
346     ac_need_defaults=false;;
347   --header | --heade | --head | --hea )
348     $ac_shift
349     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
350     ac_need_defaults=false;;
351   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
352   | -silent | --silent | --silen | --sile | --sil | --si | --s)
353     ac_cs_silent=: ;;
354
355   # This is an error.
356   -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
357 Try \`$0 --help' for more information." >&5
358 echo "$as_me: error: unrecognized option: $1
359 Try \`$0 --help' for more information." >&2;}
360    { (exit 1); exit 1; }; } ;;
361
362   *) ac_config_targets="$ac_config_targets $1" ;;
363
364   esac
365   shift
366 done
367
368 ac_configure_extra_args=
369
370 if $ac_cs_silent; then
371   exec 6>/dev/null
372   ac_configure_extra_args="$ac_configure_extra_args --silent"
373 fi
374
375 if $ac_cs_recheck; then
376   echo "running /bin/sh ./configure " '--enable-layout=Freeside' '--with-db-type=Pg' '--with-db-dba=freeside' '--with-db-database=freeside' '--with-db-rt-user=freeside' '--with-db-rt-pass=' '--with-web-user=freeside' '--with-web-group=freeside' '--with-rt-group=freeside' $ac_configure_extra_args " --no-create --no-recursion" >&6
377   exec /bin/sh ./configure '--enable-layout=Freeside' '--with-db-type=Pg' '--with-db-dba=freeside' '--with-db-database=freeside' '--with-db-rt-user=freeside' '--with-db-rt-pass=' '--with-web-user=freeside' '--with-web-group=freeside' '--with-rt-group=freeside' $ac_configure_extra_args --no-create --no-recursion
378 fi
379
380 for ac_config_target in $ac_config_targets
381 do
382   case "$ac_config_target" in
383   # Handling of arguments.
384   "sbin/rt-dump-database" ) CONFIG_FILES="$CONFIG_FILES sbin/rt-dump-database" ;;
385   "sbin/rt-setup-database" ) CONFIG_FILES="$CONFIG_FILES sbin/rt-setup-database" ;;
386   "sbin/rt-test-dependencies" ) CONFIG_FILES="$CONFIG_FILES sbin/rt-test-dependencies" ;;
387   "bin/mason_handler.fcgi" ) CONFIG_FILES="$CONFIG_FILES bin/mason_handler.fcgi" ;;
388   "bin/mason_handler.scgi" ) CONFIG_FILES="$CONFIG_FILES bin/mason_handler.scgi" ;;
389   "bin/standalone_httpd" ) CONFIG_FILES="$CONFIG_FILES bin/standalone_httpd" ;;
390   "bin/rt-crontool" ) CONFIG_FILES="$CONFIG_FILES bin/rt-crontool" ;;
391   "bin/rt-mailgate" ) CONFIG_FILES="$CONFIG_FILES bin/rt-mailgate" ;;
392   "bin/rt" ) CONFIG_FILES="$CONFIG_FILES bin/rt" ;;
393   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
394   "etc/RT_Config.pm" ) CONFIG_FILES="$CONFIG_FILES etc/RT_Config.pm" ;;
395   "lib/RT.pm" ) CONFIG_FILES="$CONFIG_FILES lib/RT.pm" ;;
396   "bin/mason_handler.svc" ) CONFIG_FILES="$CONFIG_FILES bin/mason_handler.svc" ;;
397   "bin/webmux.pl" ) CONFIG_FILES="$CONFIG_FILES bin/webmux.pl" ;;
398   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
399 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
400    { (exit 1); exit 1; }; };;
401   esac
402 done
403
404 # If the user did not use the arguments to specify the items to instantiate,
405 # then the envvar interface is used.  Set only those that are not.
406 # We use the long form for the default assignment because of an extremely
407 # bizarre bug on SunOS 4.1.3.
408 if $ac_need_defaults; then
409   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
410 fi
411
412 # Have a temporary directory for convenience.  Make it in the build tree
413 # simply because there is no reason to put it here, and in addition,
414 # creating and moving files from /tmp can sometimes cause problems.
415 # Create a temporary directory, and hook for its removal unless debugging.
416 $debug ||
417 {
418   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
419   trap '{ (exit 1); exit 1; }' 1 2 13 15
420 }
421
422 # Create a (secure) tmp directory for tmp files.
423
424 {
425   tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
426   test -n "$tmp" && test -d "$tmp"
427 }  ||
428 {
429   tmp=./confstat$$-$RANDOM
430   (umask 077 && mkdir $tmp)
431 } ||
432 {
433    echo "$me: cannot create a temporary directory in ." >&2
434    { (exit 1); exit 1; }
435 }
436
437
438 #
439 # CONFIG_FILES section.
440 #
441
442 # No need to generate the scripts if there are no CONFIG_FILES.
443 # This happens for instance when ./config.status config.h
444 if test -n "$CONFIG_FILES"; then
445   # Protect against being on the right side of a sed subst in config.status.
446   sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
447    s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
448 s,@SHELL@,/bin/sh,;t t
449 s,@PATH_SEPARATOR@,:,;t t
450 s,@PACKAGE_NAME@,RT,;t t
451 s,@PACKAGE_TARNAME@,rt,;t t
452 s,@PACKAGE_VERSION@,3.4.5,;t t
453 s,@PACKAGE_STRING@,RT 3.4.5,;t t
454 s,@PACKAGE_BUGREPORT@,rt-bugs@fsck.com,;t t
455 s,@exec_prefix@,/opt/rt3,;t t
456 s,@prefix@,/opt/rt3,;t t
457 s,@program_transform_name@,s,x,x,,;t t
458 s,@bindir@,/opt/rt3/bin,;t t
459 s,@sbindir@,/opt/rt3/sbin,;t t
460 s,@libexecdir@,${exec_prefix}/libexec,;t t
461 s,@datadir@,/opt/rt3/share,;t t
462 s,@sysconfdir@,/opt/rt3/etc,;t t
463 s,@sharedstatedir@,${prefix}/com,;t t
464 s,@localstatedir@,/opt/rt3/var,;t t
465 s,@libdir@,/opt/rt3/lib,;t t
466 s,@includedir@,${prefix}/include,;t t
467 s,@oldincludedir@,/usr/include,;t t
468 s,@infodir@,${prefix}/info,;t t
469 s,@mandir@,/opt/rt3/man,;t t
470 s,@build_alias@,,;t t
471 s,@host_alias@,,;t t
472 s,@target_alias@,,;t t
473 s,@DEFS@,-DPACKAGE_NAME=\"RT\" -DPACKAGE_TARNAME=\"rt\" -DPACKAGE_VERSION=\"3.4.5\" -DPACKAGE_STRING=\"RT\ 3.4.5\" -DPACKAGE_BUGREPORT=\"rt-bugs@fsck.com\" ,;t t
474 s,@ECHO_C@,,;t t
475 s,@ECHO_N@,-n,;t t
476 s,@ECHO_T@,,;t t
477 s,@LIBS@,,;t t
478 s,@rt_version_major@,3,;t t
479 s,@rt_version_minor@,4,;t t
480 s,@rt_version_patch@,5,;t t
481 s,@INSTALL_PROGRAM@,${INSTALL},;t t
482 s,@INSTALL_SCRIPT@,${INSTALL},;t t
483 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
484 s,@AWK@,gawk,;t t
485 s,@PERL@,/usr/bin/perl,;t t
486 s,@SPEEDY_BIN@,/usr/local/bin/speedy,;t t
487 s,@exp_prefix@,/opt/rt3,;t t
488 s,@exp_exec_prefix@,/opt/rt3,;t t
489 s,@exp_bindir@,/opt/rt3/bin,;t t
490 s,@exp_sbindir@,/opt/rt3/sbin,;t t
491 s,@exp_sysconfdir@,/opt/rt3/etc,;t t
492 s,@exp_mandir@,/opt/rt3/man,;t t
493 s,@exp_libdir@,/opt/rt3/lib,;t t
494 s,@exp_datadir@,/opt/rt3/share,;t t
495 s,@htmldir@,/var/www/freeside/rt,;t t
496 s,@exp_htmldir@,/var/www/freeside/rt,;t t
497 s,@manualdir@,/opt/rt3/share/doc,;t t
498 s,@exp_manualdir@,/opt/rt3/share/doc,;t t
499 s,@exp_localstatedir@,/opt/rt3/var,;t t
500 s,@logfiledir@,/opt/rt3/var/log,;t t
501 s,@exp_logfiledir@,/opt/rt3/var/log,;t t
502 s,@masonstatedir@,/usr/local/etc/freeside/masondata,;t t
503 s,@exp_masonstatedir@,/usr/local/etc/freeside/masondata,;t t
504 s,@sessionstatedir@,/opt/rt3/var/session_data,;t t
505 s,@exp_sessionstatedir@,/opt/rt3/var/session_data,;t t
506 s,@customdir@,/opt/rt3/local,;t t
507 s,@exp_customdir@,/opt/rt3/local,;t t
508 s,@custometcdir@,/opt/rt3/local/etc,;t t
509 s,@exp_custometcdir@,/opt/rt3/local/etc,;t t
510 s,@customhtmldir@,/opt/rt3/local/html,;t t
511 s,@exp_customhtmldir@,/opt/rt3/local/html,;t t
512 s,@customlexdir@,/opt/rt3/local/po,;t t
513 s,@exp_customlexdir@,/opt/rt3/local/po,;t t
514 s,@customlibdir@,/opt/rt3/local/lib,;t t
515 s,@exp_customlibdir@,/opt/rt3/local/lib,;t t
516 s,@rt_layout_name@,Freeside,;t t
517 s,@BIN_OWNER@,root,;t t
518 s,@LIBS_OWNER@,root,;t t
519 s,@LIBS_GROUP@,bin,;t t
520 s,@DB_TYPE@,Pg,;t t
521 s,@DATABASE_ENV_PREF@,,;t t
522 s,@DB_HOST@,localhost,;t t
523 s,@DB_PORT@,,;t t
524 s,@DB_RT_HOST@,localhost,;t t
525 s,@DB_DBA@,freeside,;t t
526 s,@DB_DATABASE@,freeside,;t t
527 s,@DB_RT_USER@,freeside,;t t
528 s,@DB_RT_PASS@,,;t t
529 s,@WEB_USER@,freeside,;t t
530 s,@WEB_GROUP@,freeside,;t t
531 s,@RTGROUP@,freeside,;t t
532 s,@APACHECTL@,/usr/sbin/apachectl,;t t
533 s,@RT_DEVEL_MODE@,0,;t t
534 s,@RT_VERSION_MAJOR@,3,;t t
535 s,@RT_VERSION_MINOR@,4,;t t
536 s,@RT_VERSION_PATCH@,5,;t t
537 s,@RT_PATH@,/opt/rt3,;t t
538 s,@RT_DOC_PATH@,/opt/rt3/share/doc,;t t
539 s,@RT_LOCAL_PATH@,/opt/rt3/local,;t t
540 s,@RT_LIB_PATH@,/opt/rt3/lib,;t t
541 s,@RT_ETC_PATH@,/opt/rt3/etc,;t t
542 s,@CONFIG_FILE_PATH@,/opt/rt3/etc,;t t
543 s,@RT_BIN_PATH@,/opt/rt3/bin,;t t
544 s,@RT_SBIN_PATH@,/opt/rt3/sbin,;t t
545 s,@RT_VAR_PATH@,/opt/rt3/var,;t t
546 s,@RT_MAN_PATH@,/opt/rt3/man,;t t
547 s,@MASON_DATA_PATH@,/usr/local/etc/freeside/masondata,;t t
548 s,@MASON_SESSION_PATH@,/opt/rt3/var/session_data,;t t
549 s,@MASON_HTML_PATH@,/var/www/freeside/rt,;t t
550 s,@LOCAL_ETC_PATH@,/opt/rt3/local/etc,;t t
551 s,@MASON_LOCAL_HTML_PATH@,/opt/rt3/local/html,;t t
552 s,@LOCAL_LEXICON_PATH@,/opt/rt3/local/po,;t t
553 s,@LOCAL_LIB_PATH@,/opt/rt3/local/lib,;t t
554 s,@DESTDIR@,/opt/rt3,;t t
555 s,@RT_LOG_PATH@,/opt/rt3/var/log,;t t
556 s,@LIBOBJS@,,;t t
557 s,@LTLIBOBJS@,,;t t
558 CEOF
559
560   # Split the substitutions into bite-sized pieces for seds with
561   # small command number limits, like on Digital OSF/1 and HP-UX.
562   ac_max_sed_lines=48
563   ac_sed_frag=1 # Number of current file.
564   ac_beg=1 # First line for current file.
565   ac_end=$ac_max_sed_lines # Line after last line for current file.
566   ac_more_lines=:
567   ac_sed_cmds=
568   while $ac_more_lines; do
569     if test $ac_beg -gt 1; then
570       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
571     else
572       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
573     fi
574     if test ! -s $tmp/subs.frag; then
575       ac_more_lines=false
576     else
577       # The purpose of the label and of the branching condition is to
578       # speed up the sed processing (if there are no `@' at all, there
579       # is no need to browse any of the substitutions).
580       # These are the two extra sed commands mentioned above.
581       (echo ':t
582   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
583       if test -z "$ac_sed_cmds"; then
584         ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
585       else
586         ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
587       fi
588       ac_sed_frag=`expr $ac_sed_frag + 1`
589       ac_beg=$ac_end
590       ac_end=`expr $ac_end + $ac_max_sed_lines`
591     fi
592   done
593   if test -z "$ac_sed_cmds"; then
594     ac_sed_cmds=cat
595   fi
596 fi # test -n "$CONFIG_FILES"
597
598 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
599   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
600   case $ac_file in
601   - | *:- | *:-:* ) # input from stdin
602         cat >$tmp/stdin
603         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
604         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
605   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
606         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
607   * )   ac_file_in=$ac_file.in ;;
608   esac
609
610   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
611   ac_dir=`(dirname "$ac_file") 2>/dev/null ||
612 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
613          X"$ac_file" : 'X\(//\)[^/]' \| \
614          X"$ac_file" : 'X\(//\)$' \| \
615          X"$ac_file" : 'X\(/\)' \| \
616          .     : '\(.\)' 2>/dev/null ||
617 echo X"$ac_file" |
618     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
619           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
620           /^X\(\/\/\)$/{ s//\1/; q; }
621           /^X\(\/\).*/{ s//\1/; q; }
622           s/.*/./; q'`
623   { if $as_mkdir_p; then
624     mkdir -p "$ac_dir"
625   else
626     as_dir="$ac_dir"
627     as_dirs=
628     while test ! -d "$as_dir"; do
629       as_dirs="$as_dir $as_dirs"
630       as_dir=`(dirname "$as_dir") 2>/dev/null ||
631 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
632          X"$as_dir" : 'X\(//\)[^/]' \| \
633          X"$as_dir" : 'X\(//\)$' \| \
634          X"$as_dir" : 'X\(/\)' \| \
635          .     : '\(.\)' 2>/dev/null ||
636 echo X"$as_dir" |
637     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
638           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
639           /^X\(\/\/\)$/{ s//\1/; q; }
640           /^X\(\/\).*/{ s//\1/; q; }
641           s/.*/./; q'`
642     done
643     test ! -n "$as_dirs" || mkdir $as_dirs
644   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
645 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
646    { (exit 1); exit 1; }; }; }
647
648   ac_builddir=.
649
650 if test "$ac_dir" != .; then
651   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
652   # A "../" for each directory in $ac_dir_suffix.
653   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
654 else
655   ac_dir_suffix= ac_top_builddir=
656 fi
657
658 case $srcdir in
659   .)  # No --srcdir option.  We are building in place.
660     ac_srcdir=.
661     if test -z "$ac_top_builddir"; then
662        ac_top_srcdir=.
663     else
664        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
665     fi ;;
666   [\\/]* | ?:[\\/]* )  # Absolute path.
667     ac_srcdir=$srcdir$ac_dir_suffix;
668     ac_top_srcdir=$srcdir ;;
669   *) # Relative path.
670     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
671     ac_top_srcdir=$ac_top_builddir$srcdir ;;
672 esac
673
674 # Do not use `cd foo && pwd` to compute absolute paths, because
675 # the directories may not exist.
676 case `pwd` in
677 .) ac_abs_builddir="$ac_dir";;
678 *)
679   case "$ac_dir" in
680   .) ac_abs_builddir=`pwd`;;
681   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
682   *) ac_abs_builddir=`pwd`/"$ac_dir";;
683   esac;;
684 esac
685 case $ac_abs_builddir in
686 .) ac_abs_top_builddir=${ac_top_builddir}.;;
687 *)
688   case ${ac_top_builddir}. in
689   .) ac_abs_top_builddir=$ac_abs_builddir;;
690   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
691   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
692   esac;;
693 esac
694 case $ac_abs_builddir in
695 .) ac_abs_srcdir=$ac_srcdir;;
696 *)
697   case $ac_srcdir in
698   .) ac_abs_srcdir=$ac_abs_builddir;;
699   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
700   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
701   esac;;
702 esac
703 case $ac_abs_builddir in
704 .) ac_abs_top_srcdir=$ac_top_srcdir;;
705 *)
706   case $ac_top_srcdir in
707   .) ac_abs_top_srcdir=$ac_abs_builddir;;
708   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
709   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
710   esac;;
711 esac
712
713
714   case $INSTALL in
715   [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
716   *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
717   esac
718
719   # Let's still pretend it is `configure' which instantiates (i.e., don't
720   # use $as_me), people would be surprised to read:
721   #    /* config.h.  Generated by config.status.  */
722   if test x"$ac_file" = x-; then
723     configure_input=
724   else
725     configure_input="$ac_file.  "
726   fi
727   configure_input=$configure_input"Generated from `echo $ac_file_in |
728                                      sed 's,.*/,,'` by configure."
729
730   # First look for the input files in the build tree, otherwise in the
731   # src tree.
732   ac_file_inputs=`IFS=:
733     for f in $ac_file_in; do
734       case $f in
735       -) echo $tmp/stdin ;;
736       [\\/$]*)
737          # Absolute (can't be DOS-style, as IFS=:)
738          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
739 echo "$as_me: error: cannot find input file: $f" >&2;}
740    { (exit 1); exit 1; }; }
741          echo "$f";;
742       *) # Relative
743          if test -f "$f"; then
744            # Build tree
745            echo "$f"
746          elif test -f "$srcdir/$f"; then
747            # Source tree
748            echo "$srcdir/$f"
749          else
750            # /dev/null tree
751            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
752 echo "$as_me: error: cannot find input file: $f" >&2;}
753    { (exit 1); exit 1; }; }
754          fi;;
755       esac
756     done` || { (exit 1); exit 1; }
757
758   if test x"$ac_file" != x-; then
759     { echo "$as_me:$LINENO: creating $ac_file" >&5
760 echo "$as_me: creating $ac_file" >&6;}
761     rm -f "$ac_file"
762   fi
763   sed "/^[       ]*VPATH[        ]*=/{
764 s/:*\$(srcdir):*/:/;
765 s/:*\${srcdir}:*/:/;
766 s/:*@srcdir@:*/:/;
767 s/^\([^=]*=[     ]*\):*/\1/;
768 s/:*$//;
769 s/^[^=]*=[       ]*$//;
770 }
771
772 :t
773 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
774 s,@configure_input@,$configure_input,;t t
775 s,@srcdir@,$ac_srcdir,;t t
776 s,@abs_srcdir@,$ac_abs_srcdir,;t t
777 s,@top_srcdir@,$ac_top_srcdir,;t t
778 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
779 s,@builddir@,$ac_builddir,;t t
780 s,@abs_builddir@,$ac_abs_builddir,;t t
781 s,@top_builddir@,$ac_top_builddir,;t t
782 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
783 s,@INSTALL@,$ac_INSTALL,;t t
784 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
785   rm -f $tmp/stdin
786   if test x"$ac_file" != x-; then
787     mv $tmp/out $ac_file
788   else
789     cat $tmp/out
790     rm -f $tmp/out
791   fi
792
793   # Run the commands associated with the file.
794   case $ac_file in
795     sbin/rt-dump-database ) chmod ug+x $ac_file
796                 ;;
797     sbin/rt-setup-database ) chmod ug+x $ac_file
798                 ;;
799     sbin/rt-test-dependencies ) chmod ug+x $ac_file
800                 ;;
801     bin/mason_handler.fcgi ) chmod ug+x $ac_file
802                 ;;
803     bin/mason_handler.scgi ) chmod ug+x $ac_file
804                 ;;
805     bin/standalone_httpd ) chmod ug+x $ac_file
806                 ;;
807     bin/rt-crontool ) chmod ug+x $ac_file
808                 ;;
809     bin/rt-mailgate ) chmod ug+x $ac_file
810                 ;;
811     bin/rt ) chmod ug+x $ac_file
812                 ;;
813   esac
814 done
815
816 { (exit 0); exit 0; }